/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 获取预览数据 GET /api/Common/GetPreViewCache */
export async function getPreViewCache(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetPreViewCacheParams,
  options?: API.RequestConfig
) {
  return request<string>('/api/Common/GetPreViewCache', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 第三方银行卡预留手机号验证 发送验证码 POST /api/Common/SendBankCardCertificationVerificationCode */
export async function sendBankCardCertificationVerificationCode(
  body: API.SendBankCardCertificationVerificationCodeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Common/SendBankCardCertificationVerificationCode', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 发送邮箱验证码 POST /api/Common/SendEmailVerificationCode */
export async function sendEmailVerificationCode(
  body: API.SendEmailVerificationCodeByBusinessTypeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Common/SendEmailVerificationCode', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 第三方手机号验证 发送验证码 POST /api/Common/SendPhoneCertificationVerificationCode */
export async function sendPhoneCertificationVerificationCode(
  body: API.SendPhoneCertificationVerificationCodeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Common/SendPhoneCertificationVerificationCode', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 发送验证码 POST /api/Common/SendVerificationCode */
export async function sendVerificationCode(
  body: API.SendPhoneVerificationCodeByBusinessTypeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Common/SendVerificationCode', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 写入预览数据 POST /api/Common/SetPreViewCache */
export async function setPreViewCache(body: API.SetPreViewCacheInput, options?: API.RequestConfig) {
  return request<string>('/api/Common/SetPreViewCache', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 身份证OCR识别 识别身份证正反面信息。此接口按照调用次数单独计费 POST /api/Common/UserCredentialVerifyOcrIDCard */
export async function userCredentialVerifyOcrIDCard(
  body: API.UserCredentialVerifyOcrIDCardInput,
  options?: API.RequestConfig
) {
  return request<API.UserCredentialVerifyOcrIDCardResponse>(
    '/api/Common/UserCredentialVerifyOcrIDCard',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}
